#include "panel.h"
#include "fill.h"

cui
cui_panel_new(cui parent, int x, int y, int w, int h)
{
	cui obj = cui_alloc(sizeof(struct cui_panel));
	cui_panel_init(obj, parent, x, y, w, h);
	return obj;
}

void
cui_panel_init(cui obj, cui parent, int x, int y, int w, int h)
{
	cui_base_init(obj, parent, x, y, w, h);

	cui_fill_new(obj, 1, 0, w-2, 1, "-", CUI_ATTR_NORMAL);
	cui_fill_new(obj, 1, h-1, w-2, 1, "-", CUI_ATTR_NORMAL);
	cui_fill_new(obj, 0, 1, 1, h-2, "|", CUI_ATTR_NORMAL);
	cui_fill_new(obj, w-1, 1, 1, h-2, "|", CUI_ATTR_NORMAL);
	cui_fill_new(obj, 0, 0, 1, 1, "+", CUI_ATTR_NORMAL);
	cui_fill_new(obj, w-1, 0, 1, 1, "+", CUI_ATTR_NORMAL);
	cui_fill_new(obj, w-1, h-1, 1, 1, "+", CUI_ATTR_NORMAL);
	cui_fill_new(obj, 0, h-1, 1, 1, "+", CUI_ATTR_NORMAL);
}

/* EOF */
